Documentation · API reference
POST/api/v1/share/{site}/unlock

Post unlock

Parameters

sitein the address
neededThe site's name

What to send

ShareUnlock

key
stringneeded
password
stringneeded

The answer

Status 200

ShareUnlocked

pass
stringneededGoes in the address as `pass`. Good until the end of tomorrow, UTC.

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/share/example.org/unlock \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"key": "…", "password": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/share/example.org/unlock", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"key": "…", "password": "…"}),
}).then((r) => r.json());